package com.ekexiu.project.util;

import java.util.concurrent.Executors;
import java.util.concurrent.ScheduledExecutorService;

import org.jfw.apt.annotation.Bean;

@Bean
public class ScheduledExecutorServiceFactory {
	private int corePoolSize =10 ;

	public int getCorePoolSize() {
		return corePoolSize;
	}

	public void setCorePoolSize(int corePoolSize) {
		this.corePoolSize = corePoolSize;
	}
	
	public ScheduledExecutorService create(){
		return Executors.newScheduledThreadPool(this.corePoolSize);
	}
}
